<?php

session_start();
date_default_timezone_set('America/Lima');
require_once ("../../config/Cado.php");

$y=date('Y');
$m=date('m');
$d=date('d');

$fec1="$d-$m-$y";
$fec2="$d-$m-$y";

//$caj_id='1';

if ($_SESSION['usuariogrupo_id']=='1' || $_SESSION['usuariogrupo_id']=='2' ){
				$usu_id = "";
			}else{
				$usu_id = $_SESSION['usuario_id'];
			}
			
?>

<section class="content">
	<div class="container-fluid">
	<div class="row">
	    <div class="col-lg-12 col-md-12 col-sm-12 col-12">
		    <div class="card">
		        <div class="card-header">
    		
			
					
					
			<form id="for_fil_cajr" action="POST">

				<div class="row">
				
				<div class=" col-lg-2 col-sm-3 col-6 form-group">
                  <label>Fecha 1:</label>

                  <div class="input-group">
                    <div class="input-group-prepend">
                      <span class="input-group-text"><i class="far fa-calendar-alt"></i></span>
                    </div>
                    <input name="txt_fil_cajr_fec1" type="text" id="txt_fil_cajr_fec1" value="<?php echo $fec1?>" class="form-control" >
                  </div>
				</div>
				
				<div class=" col-lg-2 col-sm-3 col-6 form-group">
                  <label>Fecha 2:</label>

                  <div class="input-group">
                    <div class="input-group-prepend">
                      <span class="input-group-text"><i class="far fa-calendar-alt"></i></span>
                    </div>
                    <input name="txt_fil_cajr_fec2" type="text" id="txt_fil_cajr_fec2" value="<?php echo $fec2?>" class="form-control" >
                  </div>
				</div>
	
				<div class="col-lg-3 col-sm-3 col-6">
								<label for="cmb_fil_usuarior_id">Usuario:</label>
								<select name="cmb_fil_usuarior_id" id="cmb_fil_usuarior_id" class="form-control">
								<option value=""></option>
								</select>
				</div>
	

							
				<div class="col-lg-2 col-sm-3 col-6" style="display: inline-block; white-space: nowrap;padding-top: 30px;"> 
								<span onClick="resumen_tabla()" style="cursor:pointer" class="btn btn-primary"><i class="fas fa-search"></i></span>
								<span onClick="flujocaja_filtror()" style="cursor:pointer" class="btn btn-default ">Restablecer</span>
				</div>
							
							</div>
							<!--
							<div class="col-lg-2 col-md-4 col-6">
								<label for="cmb_fil_mon_id">Moneda:</label>
								<select name="cmb_fil_mon_id" id="cmb_fil_mon_id" class="form-control">
								</select>							 
							</div>
							-->
					<!--		
						<a  target="_blank" href="../../app/egreso/egreso_actu.php">ver y actuaizar</a>
                        -->
						</form>
						
						
					
				</div>
			</div>
		</div>
	</div>
</section>

<script type="text/javascript">


	 function cmb_usuarior_id(usuid){
	
	  	$.ajax({
			type: "POST",
			url: "../usuario/cmb_usu_id2.php",
			async:true,
			dataType: "html",                      
			data: ({
				usu_id:usuid
			}),
			beforeSend: function() {
				$('#cmb_fil_usuarior_id').html('<option value="">Cargando...</option>');
			},
			success: function(html){	
			
				$('#cmb_fil_usuarior_id').html(html);
						resumen_tabla();		
			}
		});		
  
  }
	
	$(function(){		
		$('#btn_actualizar').click(function() {
			$("#content").load("../flujocaja/flujocaja_vista.php");
		});
		
		$('#txt_fil_cajr_fec1, #txt_fil_cajr_fec2').datepicker({
			format: 'dd-mm-yyyy',
			autoclose:true
		}).on('changeDate', function(e){
			//flujocaja_tabla();
		}); 
		
	$("#cmb_fil_cajr_id , #cmb_fil_usuarior_id").change(function(){
	resumen_tabla();
	});	
	
	cmb_usuarior_id('<?php echo $usu_id; ?>');
	
});	
</script> 